<div class="row">
  <div class="col-12">
    <div class="card p-0">
      <div class="card-header">
        {{'monitor.connection_page.web_connection' | translate}}
        <div class="card-header-actions">
          <div class="d-flex align-items-center">
            <span class="pr-1">{{'common.period' | translate}} </span>
            <app-period [selectTime]="periodFilterChart.controls['webConnectionChart'].value"
              (changeValue)="periodFilterChart.controls['webConnectionChart'].setValue($event);loadWebsiteConnectionChart()"
              drop-type="right">
            </app-period>
            <!--<select (change)="loadWorldMapTop()" [formControl]="periodFilterChart.controls['worldMapChart']"-->
            <!--name="period"-->
            <!--class="form-control"-->
            <!--style="width: auto">-->
            <!--<option *ngFor=" let period of periodWorldMapCharts" [ngValue]="period">-->
            <!--{{period.label}}-->
            <!--</option>-->
            <!--</select>-->
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper" *ngIf="webConnectionChartData">
          <canvas baseChart class="chart" #webConnectionHorizonBarChart='base-chart' [datasets]="webConnectionChartData"
            [labels]="webConnectionChartLabels" [options]="webConnectionChartOption" [legend]="lineChartLegend"
            [chartType]="barChartType" [plugins]="resourceChartPlugins">
          </canvas>
        </div>
      </div>
    </div>
  </div>

  <div class="col-12">
    <div class="card p-0">
      <div class="card-header">
        {{'monitor.connection_page.ip_connection' | translate}}
        <div class="card-header-actions">
          <div class="d-flex align-items-center">
            <span class="pr-1">{{'common.period' | translate}} </span>
            <app-period [selectTime]="periodFilterChart.controls['ipConnectionChart'].value"
              (changeValue)="periodFilterChart.controls['ipConnectionChart'].setValue($event);loadIpConnectionChart()"
              drop-type="right">
            </app-period>
            <!--<select (change)="loadWorldMapTop()" [formControl]="periodFilterChart.controls['worldMapChart']"-->
            <!--name="period"-->
            <!--class="form-control"-->
            <!--style="width: auto">-->
            <!--<option *ngFor=" let period of periodWorldMapCharts" [ngValue]="period">-->
            <!--{{period.label}}-->
            <!--</option>-->
            <!--</select>-->
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="chart-wrapper" *ngIf="ipConnectionChartData">
          <canvas baseChart class="chart" #ipConnectionHorizonBarChart='base-chart' [datasets]="ipConnectionChartData"
            [labels]="ipConnectionChartLabels" [options]="webConnectionChartOption" [legend]="lineChartLegend"
            [chartType]="barChartType" [plugins]="resourceChartPlugins">
          </canvas>
        </div>
        <div class="row">
          <div class="col-12">
            <table class="table table-bordered table-sort-icon">
              <thead>
                <tr>
                  <th>{{'monitor.connection_page.time' | translate}}</th>
                  <th>{{'monitor.connection_page.ip' | translate}}</th>
                  <th>{{'monitor.connection_page.connection_amount' | translate}}</th>
                  <th>{{'monitor.connection_page.actions' | translate}}</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let ipConnection of ipConnections">
                  <td>{{ipConnection.datetime}}</td>
                  <td>{{ipConnection.ip_connect}}</td>
                  <td>{{ipConnection.request_ip}}</td>
                  <td class="text-center">
                    <button [disabled]="ipConnection.unlock === 0" class="btn btn-primary btn-sm"
                      (click)="blacklistIp(ipConnection.ip_connect)">
                      <i class="fa fa-lock"></i>
                      <span class="d-none d-md-inline">Khóa</span>
                    </button>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>